Create or update an ICP profile.
curl --request POST \
--url https://api.parallellabs.app/api/v0/content/profiles \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"companyId": "<string>",
"profile": {}
}
'import requests
url = "https://api.parallellabs.app/api/v0/content/profiles"
payload = {
"companyId": "<string>",
"profile": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({companyId: '<string>', profile: {}})
};
fetch('https://api.parallellabs.app/api/v0/content/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"msg": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Content
Create or update an ICP profile.
POST
/
api
/
v0
/
content
/
profiles
Create or update an ICP profile.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Body
application/json
ICP profile data
Request body for saving an ICP profile
Company ID
ICP profile data object with fields: id (optional for create), name (required), companySize, industry, budget, location, description, businessProfile (object with industries/size/geography/characteristics), strategicContext (object with growth stage/priorities/values), challenges (object with pain points/needs), buyingProcess (object with decision makers/evaluation criteria/objections), personas (array of detailed personas), goToMarket (object with marketing channels/messaging/content strategies)

